Subject: bug#14782: 24.3.50; flyspell-mode garbles accents in terminal clients

From: Stefano Zacchiroli <[email-masked]>
Date: Fri, 5 Jul 2013 17:40:25 +0200

On Fri, Jul 05, 2013 at 07:42:59AM -0400, Stefan Monnier wrote:
> Is this with a single frame, or multiple frames?  With a mix of GUI
> frames and tty frames, maybe?  Other than flyspell, what other
> modes/packages are in use?
> Can you try and give a detailed recipe, ideally starting from "emacs -Q"?

In fact, that's pretty easy to reproduce here:

  $ emacs -Q                    # the usual main GUI frame appears
  M-x server-mode

then in a terminal:

  $ emacsclient -t foo.txt
  conférence                    # this works fine
  M-x flyspell-mode
  conférence                    # this gives garbled output

In both cases I wrote the word "conférence" using X composing, as
mentioned in my previous mail.

To answer your earlier question, I've tried will all sort of
GUI/console client combinations, ditto for combinations of --daemon
(to avoid starting the main GUI frame) and no --daemon, but that
doesn't seem to matter at all. In the above recipe I don't use
--daemon, but rather start server-mode from the main GUI frame. There
is no visible difference.

> > Disabling flyspell-mode the character is not garbled anymore, and on the
> > accented "e" the result is:
> 
> I can't see anything obvious in flyspell which could cause that, so it
> is probably some interaction between flyspell and something else (or
> maybe it's just accidentally correlated with flyspell).

Well, it might be, of course. But in the above example I use -Q and
only activate flyspell-mode. So if it's an interaction with other
modes, then it's something very basic that Emacs uses by default, such
as text-mode (or server-mode, but that would be pretty weird).

Cheers.
-- 
Stefano Zacchiroli  . . . . . . .  [email-masked] . . . . o . . . o . o
Maître de conférences . . . . . http://upsilon.cc/zack . . . o . . . o o
Former Debian Project Leader  . . @zack on identi.ca . . o o o . . . o .
« the first rule of tautology club is the first rule of tautology club »